package io.zipcoder.interfaces;

public class Instructor extends Person implements Teacher {

    public Instructor(){
        super();
    }
    public Instructor(String name, long id){
        super(id,name);
    }

    public void teach(Learner learner, double numberOfHours) {
        learner.learn(numberOfHours);
    }
    public void lecture(Learner[] learners, double numberOfHours) {
        for (int i = 0; i < learners.length; i++) {
            learners[i].learn(numberOfHours/learners.length);
        }
    }
}
