package io.zipcoder.interfaces;

import java.util.ArrayList;

public class Instructors extends People<Instructor> {
    private static final Instructors INSTANCE = new Instructors();
    private Instructors(){
        for(Educator eds : Educator.values()){
            final Instructor instructor = new Instructor(eds.getName(), eds.getIdNum());
            personList.add(instructor);
        }
    }

    public static Instructors getInstance(){ return INSTANCE; }

    @Override
    public Instructor[] getArray(){
        Instructor[] instructors = new Instructor[personList.size()];
        for(int i = 0; i < personList.size(); i++)
            instructors[i] = personList.get(i);
        return instructors;
    }

}
