package io.zipcoder.interfaces;

import java.util.ArrayList;

public class ZipCodeWilmington {

    private static final Students students = Students.getInstance();
    private static final Instructors instructors = Instructors.getInstance();
    private static final ZipCodeWilmington INSTANCE = new ZipCodeWilmington();

    private ZipCodeWilmington(){}

    public static ZipCodeWilmington getInstance(){
        return INSTANCE;
    }
    public void hostLecture(Teacher teacher, double numberOfHours){
        Student[] studs = students.getArray();
        teacher.lecture(studs, numberOfHours);
    }
    public void hostLecture(long id, double numberOfHours){
        for (int i = 0; i < instructors.getCount(); i++) {
            if(instructors.personList.get(i).getId() == id) {
                instructors.personList.get(i).lecture(students.getArray(), numberOfHours);
            }
        }
    }

    public static Students getStudents() {
        return students;
    }

    public static Instructors getInstructors() {
        return instructors;
    }
}
