package io.zipcoder.interfaces;
import org.junit.Test;
import org.junit.Assert;

public class TestInstructors {
    @Test
    public void testSingletonInstance(){
        //Given
        Instructors instance1 = Instructors.getInstance();
        Instructors instance2 = Instructors.getInstance();
        //Then
        Assert.assertSame(instance1,instance2);
    }

    @Test
    public void testInitializationSetupInstructors(){
        //Given
        Instructors instructor1 = Instructors.getInstance();
        //When
        int exp = 7;
        int act = instructor1.getArray().length;
        //Then
        Assert.assertEquals(exp,act);
    }
}
