package io.zipcoder.interfaces;
import org.junit.Test;
import org.junit.Assert;

public class TestPerson {

    @Test
    public void testConstructor(){
        //Given
        Person person = new Person(1234);
        //When
        long expID = 1234;
        long actID = person.getId();
        //Then
        Assert.assertEquals(expID,actID);
    }

    @Test
    public void testSetAndGetName(){
        //Given
        Person person = new Person(1234);
        //When
        String name = "Joe";
        person.setName(name);
        String actName = person.getName();
        //Then
        Assert.assertEquals("Joe",actName);
    }
}
