package io.zipcoder.interfaces;
import com.sun.source.tree.AssertTree;
import org.junit.Test;
import org.junit.Assert;

public class TestStudent {
    Student stud;

    @Test
    public void testImplementation(){
        //Given
        stud = new Student("student",1);
        //Then
        Assert.assertTrue(stud instanceof Learner);
    }

    @Test
    public void testInheritance(){
        //Given
        stud = new Student("student",1);
        //Then
        Assert.assertTrue(stud instanceof Person);
    }

    @Test
    public void testLearn(){
        //Given
        stud = new Student("student",1);
        //When
        stud.learn(5);
        double expStudyTime = 5;
        double actStudyTime = stud.getTotalStudyTime();
        //Then
        Assert.assertEquals(expStudyTime, actStudyTime,.001);
    }
}
