package io.zipcoder.interfaces;
import org.junit.Test;
import org.junit.Assert;

public class TestStudents {

    @Test
    public void testSingletonInstance(){
       //Given
        Students instance1 = Students.getInstance();
        Students instance2 = Students.getInstance();
        //Then
        Assert.assertSame(instance1,instance2);
    }

    @Test
    public void testInitializationSetupStudents(){
        //Given
        Students instance1 = Students.getInstance();
        //When
        int exp = 41;
        int act = instance1.getArray().length;
        //Then
        Assert.assertEquals(exp,act);
    }

}
