package io.zipcoder.interfaces;

import java.util.ArrayList;

public abstract class People <E extends Person>{
    ArrayList<E> personList = new ArrayList<>();

    public void add(E p){
        this.personList.add(p);
    }
    public int getCount(){
        return this.personList.size();
    }
    public void removeByPerson(E p){
        this.personList.remove(p);
    }
    public void removeById(long idNum){
        for (int i = 0; i < personList.size(); i++) {
            if(idNum == this.personList.get(i).getId()){
                this.personList.remove(personList.get(i));
            }
        }
    }
    public E findById(long idNum){
        for (int i = 0; i < personList.size(); i++) {
            if(idNum == this.personList.get(i).getId()){
                return this.personList.get(i);
            }
        }
        return null;
    }
    public abstract E[] getArray();

    public void removeAll(){
        personList.clear();
    }

    public String toString(Person[] arr) {
        String output = new String();
        for (int i = 0; i < arr.length; i++) {
            output += arr[i].getName() + arr[i].getId();
        }
        return output;
    }
}
