package io.zipcoder.interfaces;
import org.junit.Assert;
import org.junit.Test;

public class TestInstructor {

    Instructor instructor;
    Student stud1, stud2;
    Student[] studs;

    public TestInstructor(){
        instructor = new Instructor("Kris",1);
        stud1 = new Student("Connor",5);
        stud2 = new Student("Christian",6);
        studs = new Student[]{stud1,stud2};
    }

    @Test
    public void testImplementation(){
        //Given
        Instructor instructor = new Instructor();
        //Then
        Assert.assertTrue(instructor instanceof Teacher);
    }

    @Test
    public void testInheritance(){
        //Given
        Instructor instructor = new Instructor();
        //Then
        Assert.assertTrue(instructor instanceof Person);
    }

    @Test
    public void testTeach(){
        //When
        instructor.teach(stud1,20);
        //Then
        Assert.assertEquals(20,stud1.getTotalStudyTime(),.1);
    }

    @Test
    public void testLecture(){
        //When
        instructor.lecture(studs,20);
        //Then
        Assert.assertEquals(10,stud1.getTotalStudyTime(),.1);
    }
}
